ru.bitel.bgbilling.modules.mobile.server.bean

## Class Constants

- java.lang.Object
- - ru.bitel.bgbilling.modules.mobile.server.bean.Constants

-     public class Constants
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `NOTIFICATION_PARAM_ACTION` Действие/собыите в приложении.
    `static java.lang.String` | `NOTIFICATION_PARAM_DO_NOT_SHOW` Уведомление вообще не отображать(не важно активно приложение или нет в этот момент).
    `static java.lang.String` | `NOTIFICATION_PARAM_DO_NOT_SHOW_IF_ACTIVE` Флаг, указывающий на то, что пуш не надо отображать, если приложение активно( например тихо обновить баланс )
    `static java.lang.String` | `NOTIFICATION_PARAM_MENU_ITEM` Какой пункт меню открыть, варианты: balance tariff tariff_options limit notification итд.
    `static java.lang.String` | `NOTIFICATION_PARAM_NEWS_ID` Если надо открыть сразу новость, то ее код( новость откроется, даже если эта новость не относится к группе в которой состоит договор )
    `static java.lang.String` | `NOTIFICATION_PARAM_SUB_CONTRACT_ID` Если отправка субу, то шлем реально суперу, но помечаем данным параметром код суба которому реально предназначено уведомление

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NOTIFICATION_PARAM_ACTION

          public static final java.lang.String NOTIFICATION_PARAM_ACTION

      Действие/собыите в приложении.
      Пока только в значение может быть ContractUpdate - обновить данные договора(баланс итд). Имеет смысл только, если приложение открыто( если закрыто, данные и так обновятся)
      See Also:
        Constant Field Values

    - #### NOTIFICATION_PARAM_SUB_CONTRACT_ID

          public static final java.lang.String NOTIFICATION_PARAM_SUB_CONTRACT_ID

      Если отправка субу, то шлем реально суперу, но помечаем данным параметром код суба которому реально предназначено уведомление
      See Also:
        Constant Field Values

    - #### NOTIFICATION_PARAM_MENU_ITEM

          public static final java.lang.String NOTIFICATION_PARAM_MENU_ITEM

      Какой пункт меню открыть, варианты: balance tariff tariff_options limit notification итд. То есть они полностью совподают с параметром из конфига menu.items
      See Also:
        Constant Field Values

    - #### NOTIFICATION_PARAM_NEWS_ID

          public static final java.lang.String NOTIFICATION_PARAM_NEWS_ID

      Если надо открыть сразу новость, то ее код( новость откроется, даже если эта новость не относится к группе в которой состоит договор )
      See Also:
        Constant Field Values

    - #### NOTIFICATION_PARAM_DO_NOT_SHOW_IF_ACTIVE

          public static final java.lang.String NOTIFICATION_PARAM_DO_NOT_SHOW_IF_ACTIVE

      Флаг, указывающий на то, что пуш не надо отображать, если приложение активно( например тихо обновить баланс )
      See Also:
        Constant Field Values

    - #### NOTIFICATION_PARAM_DO_NOT_SHOW

          public static final java.lang.String NOTIFICATION_PARAM_DO_NOT_SHOW

      Уведомление вообще не отображать(не важно активно приложение или нет в этот момент).
      Нужно только для того, чтобы опростить устройства( побочным действием будет обновление ключей доступа )
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Constants

          public Constants()